package cn.iocoder.yudao.module.product.convert.inspectionitem;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.inspectionitem.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.inspectionitem.InspectionItemDO;

/**
 * 检验-检测项目 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface InspectionItemConvert {

    InspectionItemConvert INSTANCE = Mappers.getMapper(InspectionItemConvert.class);

    InspectionItemDO convert(InspectionItemSaveReqVO bean);

    InspectionItemRespVO convert(InspectionItemDO bean);

    List<InspectionItemRespVO> convertList(List<InspectionItemDO> list);

    PageResult<InspectionItemRespVO> convertPage(PageResult<InspectionItemDO> page);

}
